Bug 1327238 - rpm -V tomcat6 fails due on /var/log/tomcat6/catalina.out [rhel-6.9.0]
Summary: rpm -V tomcat6 fails due on /var/log/tomcat6/catalina.out [rhel-6.9.0]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tomcat6
Version: 6.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Coty Sutherland
QA Contact: Jan Stefl
URL:
Whiteboard:
: 1327325 (view as bug list)
Depends On:
Blocks: 1269194 1327325 1357123
TreeView+ depends on / blocked
 
Reported: 2016-04-14 14:31 UTC by Hung
Modified: 2017-03-20 10:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to a bug in the tomcat6 spec file, the catalina.out file's md5sum, size, and mtime attributes were compared to the file's attributes at installation time. Because the values of these attributes change after the service is started, the "rpm -V" command previously failed. With this update, the attributes mentioned above are ignored in the RPM verification, and the catalina.out file now passes the verification check.
Clone Of:
: 1327325 1357123 (view as bug list)
Environment:
Last Closed: 2017-03-20 10:23:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch (1.18 KB, patch)
2016-04-14 19:11 UTC, Coty Sutherland
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2327511 None None None 2016-05-17 19:55:37 UTC

Description Hung 2016-04-14 14:31:18 UTC
Description of problem:
When the command rpm -V tomcat6 is run, the verifies test is run on /var/log/tomcat6/catalina.out, its fails.

Version-Release number of selected component (if applicable):
tomcat6-6.0.24-94.el6_7.x86_64



How reproducible: Always


Steps to Reproduce:
1. Install tomcat6 on RHEL 6
2. Start the tomcat6 service
3. run #rpm -V tomcat6

Actual results:
S.5....T.    /var/log/tomcat6/catalina.out

Expected results:


Additional info:Catalina.out should pass verification or not be included

Comment 2 Coty Sutherland 2016-04-14 19:10:06 UTC
I think it's probably a good idea to ignore changes to the log file :) This is a very easy/simple fix using RPM's %verify directive (http://www.rpm.org/max-rpm/s1-rpm-inside-files-list-directives.html) in the spec. The output format can be reviewed online (http://www.rpm.org/max-rpm/s1-rpm-verify-output.html); I'll remove the size, md5sum, and mtime checks and leave the user/group ones in place.

Comment 3 Coty Sutherland 2016-04-14 19:11:46 UTC
Created attachment 1147362 [details]
proposed patch

Comment 4 Coty Sutherland 2016-04-14 19:27:38 UTC
*** Bug 1327325 has been marked as a duplicate of this bug. ***

Comment 13 Tomas Hoger 2017-03-20 10:23:46 UTC
Previously fixed via RHSA-2016:2045, see bug 1357123.


Note You need to log in before you can comment on or make changes to this bug.